Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000223Frama-CKernelpublic2009-08-31 11:192014-02-12 16:56
Reporterddelmas 
Assigned Tovirgile 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Lithium-20081201 
Target VersionFrama-C Boron-20100401Fixed in VersionFrama-C Beryllium-20090902 
Summary0000223: -warn-unspecified-order false positive
DescriptionOption -warn-unspecified-order yields a wrong warning on the below example:

extern int F(int, int);

void main()
{
    int i, j, k, l;
    l = (F(i,j) == k);
}

Additional InformationThis issue was present in release Lithium. It seemed to have disappeared from release Beryllium-20090601-beta1, but it has re-appeared in later SVN revisions (e.g 5973, 6053).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-08-31 11:19 ddelmas New Issue
2009-09-02 10:46 signoles Status new => assigned
2009-09-02 10:46 signoles Assigned To => virgile
2009-09-04 11:09 signoles Target Version => Frama-C Bore
2009-09-10 17:28 svn Checkin
2009-09-10 17:28 svn Status assigned => resolved
2009-09-10 17:28 svn Resolution open => fixed
2009-09-23 15:26 signoles Fixed in Version => Frama-C Beryllium 2
2009-09-23 20:22 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker